import objc
from Foundation import *
from AppKit import *
from PyObjCTools import NibClassBuilder, AppHelper


# class defined in Main.nib
class Search(NibClassBuilder.AutoBaseClass):
    # the actual base class is NSObject
    # prefs	- Preferences Class

	def performSearch(self, term):
		if self.prefs.SEARCHMODE ==0:
			import os
			grep = os.popen(self.prefs.GREPCMD%term)
			lines = grep.readlines(); grep.close()
			return lines
		elif self.prefs.SEARCHMODE == 1:
			import re
			found = []
			f = open(self.prefs.ACTIVE_DICT, 'r'); 
			while 1:
				line = f.readline()
				if not line: break
				match = re.search(term, line)
				if match: found.append(line)
			f.close()
			return found

